Package gov.nasa.gsfc.sscweb.schema

# Class TimeSeriesGraphOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GraphOptions
gov.nasa.gsfc.sscweb.schema.TimeSeriesGraphOptions

public class TimeSeriesGraphOptions extends GraphOptions
SSC time series graphing request options. <p>Java class for TimeSeriesGraphOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="TimeSeriesGraphOptions"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}GraphOptions"> <sequence> <element name="CoordinateOptions" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateOptions" maxOccurs="unbounded"/> <element name="ValueOptions" type="{http://sscweb.gsfc.nasa.gov/schema}ValueOptions"/> <element name="DistanceFromOptions" type="{http://sscweb.gsfc.nasa.gov/schema}DistanceFromOptions"/> <element name="BFieldTraceOptions" type="{http://sscweb.gsfc.nasa.gov/schema}BFieldTraceOptions" maxOccurs="unbounded"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<BFieldTraceOptions>`
  `bFieldTraceOptions`
  Specifies the B field trace options.
  `protected List<CoordinateOptions>`
  `coordinateOptions`
  Specifies the coordinate options.
  `protected DistanceFromOptions`
  `distanceFromOptions`
  Specifies the distance-from options.
  `protected ValueOptions`
  `valueOptions`
  Specifies the value options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeSeriesGraphOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BFieldTraceOptions>`
  `getBFieldTraceOptions()`
  Specifies the B field trace options.
  `List<CoordinateOptions>`
  `getCoordinateOptions()`
  Specifies the coordinate options.
  `DistanceFromOptions`
  `getDistanceFromOptions()`
  Specifies the distance-from options.
  `ValueOptions`
  `getValueOptions()`
  Specifies the value options.
  `void`
  `setDistanceFromOptions(DistanceFromOptions value)`
  Sets the value of the distanceFromOptions property.
  `void`
  `setValueOptions(ValueOptions value)`
  Sets the value of the valueOptions property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### coordinateOptions

    protected List<CoordinateOptions> coordinateOptions
    Specifies the coordinate options.

  - ### valueOptions

    protected ValueOptions valueOptions
    Specifies the value options.

  - ### distanceFromOptions

    protected DistanceFromOptions distanceFromOptions
    Specifies the distance-from options.

  - ### bFieldTraceOptions

    protected List<BFieldTraceOptions> bFieldTraceOptions
    Specifies the B field trace options.

- ## Constructor Details

  - ### TimeSeriesGraphOptions

    public TimeSeriesGraphOptions()

- ## Method Details

  - ### getCoordinateOptions

    public List<CoordinateOptions> getCoordinateOptions()
    Specifies the coordinate options. Gets the value of the coordinateOptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the coordinateOptions property.

    For example, to add a new item, do as follows:

         getCoordinateOptions().add(newItem);

    Objects of the following type(s) are allowed in the list `CoordinateOptions`

    Returns:
      The value of the coordinateOptions property.

  - ### getValueOptions

    public ValueOptions getValueOptions()
    Specifies the value options.
    Returns:
      possible object is `ValueOptions`

  - ### setValueOptions

    public void setValueOptions(ValueOptions value)
    Sets the value of the valueOptions property.
    Parameters:
      `value` - allowed object is `ValueOptions`
    See Also:
      - `getValueOptions()`

  - ### getDistanceFromOptions

    public DistanceFromOptions getDistanceFromOptions()
    Specifies the distance-from options.
    Returns:
      possible object is `DistanceFromOptions`

  - ### setDistanceFromOptions

    public void setDistanceFromOptions(DistanceFromOptions value)
    Sets the value of the distanceFromOptions property.
    Parameters:
      `value` - allowed object is `DistanceFromOptions`
    See Also:
      - `getDistanceFromOptions()`

  - ### getBFieldTraceOptions

    public List<BFieldTraceOptions> getBFieldTraceOptions()
    Specifies the B field trace options. Gets the value of the bFieldTraceOptions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bFieldTraceOptions property.

    For example, to add a new item, do as follows:

         getBFieldTraceOptions().add(newItem);

    Objects of the following type(s) are allowed in the list `BFieldTraceOptions`

    Returns:
      The value of the bFieldTraceOptions property.